package principal;

import java.sql.ResultSet;
import java.sql.SQLException;
import java.util.ArrayList;

import javax.portlet.RenderRequest;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

/**
 * Clase que se encarga de la lógica del portlet.
 * @author Palacios Trejo Armando ciencias UNAM
 */
public class Modelo {
	/** Logger. */
	private static Log log = LogFactory.getLog(Modelo.class);

	/**
	 * Obtiene los resultados de la consulta.
	 * @param req De los datos de cada consulta de cada pesona.
	 * @param nombre Nombre de la persona a consultar.
	 * @param apellido Apellido de la persona a consultar.
	 * @return RenderRequest Los datos de la consulta.
	 */
	public static RenderRequest obtenResultados(RenderRequest req,
			String nombre, String apellido) {
		String query = "SELECT contactid, firstname, lastname from contact_ " +
		"WHERE firstname ILIKE '%" + nombre.trim() + "%' " +
		"AND lastname ILIKE '%" + apellido.trim() + "%'";
		ResultSet rs = ConexionBases.consulta(query);
		ArrayList<String[]> lista = new ArrayList<String[]>();
		if (rs == null) { return req; }
		try {
			while (rs.next()) {
				String[] columna = new String[3];
				columna[0] = Integer.toString(rs.getInt("contactid"));
				columna[1] = rs.getString("firstname");
				columna[2] = rs.getString("lastname");
				lista.add(columna);
			}
			req.setAttribute("datosTabla", lista);
			rs.close();
		} catch (SQLException e) {
			log.error(e.getCause());
			e.printStackTrace();
		}
		return req;
	}

}
