package modelos.util;

import javax.naming.Context;
import javax.naming.InitialContext;
import javax.naming.NamingException;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.hibernate.Session;
import org.hibernate.SessionFactory;
import org.hibernate.cfg.Configuration;

import controlador.Controlador;
 
public class HibernateUtil {
	   /** Logger. */
	   private static Log log = LogFactory.getLog(Controlador.class);
	   /** JNDI de HIbernate. */
	   public static final String HIBERNATE_JNDI_NAME = "hibernate/SessionFactory";
	   private static SessionFactory sessionFactory;
	   
	   // Create the initial SessionFactory from the default configuration files
	   static {
	      try {
	    	sessionFactory = new Configuration().
	    	configure("hibernate.cfg.xml").buildSessionFactory(); 
	      } catch (Throwable ex) {
	         log.fatal("Building SessionFactory failed.", ex);
	         throw new ExceptionInInitializerError(ex);
	      }
	   }

	   public static SessionFactory getSessionFactory() {
	      try {
	         Context ctx = new InitialContext();
	         sessionFactory = (SessionFactory) ctx.lookup(HIBERNATE_JNDI_NAME);
	         ctx.close(); 
	      } catch (NamingException ex) {
	    	  ex.printStackTrace(); 
	      }
	      return sessionFactory;
	   }
	   
	   public static Session getSession() {
	      return getSessionFactory().openSession();
	   }
}
